package com.example.studentinfo;

import android.content.ContentValues;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;



import androidx.appcompat.app.AppCompatActivity;

import com.example.studentinfo.mysqllist.MySQLiteOpenHelper;
import com.example.studentinfo.student.UserInfo;

public class AddDataActivity extends AppCompatActivity implements View.OnClickListener {

    private EditText mEtName;
    private EditText mEtGender;
    private EditText mEtNo;
    private EditText mEtClass;
    private Button mBtnAdd;
    private Button mBtnNo;
    private Context context;
    UserInfo mUserInfo =new UserInfo();
    private SQLiteDatabase mSQLiteDatabase;
    private MySQLiteOpenHelper mDbHelper;
    private final String DB_NAME = "Student.db";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_add_data);
        initView();
        initData();
    }

    private void initData() {
        mDbHelper = new MySQLiteOpenHelper(this, DB_NAME, null, 1);
        mSQLiteDatabase = mDbHelper.getWritableDatabase();
    }

    private void initView() {
        mEtName = (EditText) findViewById(R.id.et_name1);
        mEtGender = (EditText) findViewById(R.id.et_gender1);
        mEtNo = (EditText) findViewById(R.id.et_no1);
        mEtClass = (EditText) findViewById(R.id.et_class1);
        mBtnAdd = (Button) findViewById(R.id.btn_add);
        mBtnNo = (Button) findViewById(R.id.btn_no);

        mBtnAdd.setOnClickListener(this);
        mBtnNo.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_add:
                AddData();
                finish();

                break;
            case R.id.btn_no:
                finish();

                break;
        }
    }

    private void AddData() {
        submit();
        ContentValues mContentValues = new ContentValues();
        mContentValues.put("name", mUserInfo.getsName());
        mContentValues.put("id ",mUserInfo.getiNumber());
        mContentValues.put("cls",mUserInfo.getStrClass());
        mContentValues.put("isboy",mUserInfo.getiIsboy());
        mSQLiteDatabase.insert("user", null, mContentValues);
//        Toast.makeText(this, "更新数据成功", Toast.LENGTH_SHORT).show();


    }


    private void submit() {
        // validate
        String name = mEtName.getText().toString().trim();
        if (TextUtils.isEmpty(name)) {
            Toast.makeText(this, "姓名不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String gender = mEtGender.getText().toString().trim();
        if (TextUtils.isEmpty(gender)) {
            Toast.makeText(this, "性别不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String cls =mEtClass.getText().toString().trim();
        if (TextUtils.isEmpty(cls)) {
            Toast.makeText(this, "班级不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String id=mEtNo.getText().toString().trim();
        if (isNumeric(id)) {
            Toast.makeText(this, "学号必须为数字", Toast.LENGTH_SHORT).show();
            return;
        }

        if(!isNumeric(id) && !TextUtils.isEmpty(cls) && !TextUtils.isEmpty(gender) && !TextUtils.isEmpty(name)) {

            mUserInfo.setiNumber(Integer.valueOf(id));
            mUserInfo.setsName(name);
            mUserInfo.setiIsboy(gender);
            mUserInfo.setStrClass(cls);
            Toast.makeText(this, "成功", Toast.LENGTH_LONG).show();
            return;
        }
        else {
            Toast.makeText(this,"输入的数值有误", Toast.LENGTH_LONG).show();
            return;
        }
        // TODO validate success, do something


    }

    public static boolean isNumeric(String str){
        for (int i = str.length();--i>=0;){
            if (!Character.isDigit(str.charAt(i))){
                return true;
            }
        }
        return false;}
}
