package com.example.studentinfo;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import java.time.Instant;

public class LoginActivity extends AppCompatActivity implements View.OnClickListener {

    private Button mBtExit;
    private EditText mEtAccount;
    private EditText mEtPswd;
    private Button mBtnLogin;
    private Button mBtnRegister;
    private Button mBtnForget;
    private SharedPreferences pref;
    private SharedPreferences.Editor editor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);
        initView();
//        SQLiteDB.getInstance(this);

    }

    private void initView() {
        mBtExit = (Button) findViewById(R.id.bt_exit);
        mEtAccount = (EditText) findViewById(R.id.et_account);
        mEtPswd = (EditText) findViewById(R.id.et_pswd);
        mBtnLogin = (Button) findViewById(R.id.btn_login);
        mBtnRegister = (Button) findViewById(R.id.btn_register);
        mBtnForget = (Button) findViewById(R.id.btn_forget);

        mBtExit.setOnClickListener(this);
        mBtnLogin.setOnClickListener(this);
        mBtnRegister.setOnClickListener(this);
        mBtnForget.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.bt_exit:

                break;
            case R.id.btn_login:
                Login();

                break;
            case R.id.btn_register:
                Intent intent=new Intent(LoginActivity.this,RegisterActivity.class);
                startActivity(intent);


                break;
            case R.id.btn_forget:
                getPassword();

                break;
        }
    }

    private void getPassword() {
        Intent intent3=new Intent(LoginActivity.this,fine_password_Activity.class);
        startActivity(intent3);
    }

    private void Login() {
        String account = mEtAccount.getText().toString().trim();
        String pswd = mEtPswd.getText().toString().trim();
        pref=getSharedPreferences("UserData",RegisterActivity.MODE_PRIVATE);
        SharedPreferences.Editor editor = pref.edit();
        String userId=pref.getString("account","");
        String password=pref.getString("password","");
        Toast.makeText(LoginActivity.this,password+userId,Toast.LENGTH_LONG).show();

        if (account.equals(userId)  &&  pswd.equals(password)){
            editor.putBoolean("status",true);
            editor.commit();
            Toast.makeText(LoginActivity.this,"登录成功",Toast.LENGTH_LONG).show();
            Intent intent1=new Intent(LoginActivity.this,userActivity.class);
            startActivity(intent1);
            finish();
        }else {
            Toast.makeText(LoginActivity.this,"账号或密码错误",Toast.LENGTH_LONG).show();
            mEtAccount.setText("");
            mEtPswd.setText("");
        }

    }

    private void submit() {
        // validate
        String account = mEtAccount.getText().toString().trim();
        if (TextUtils.isEmpty(account)) {
            Toast.makeText(this, "account不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String pswd = mEtPswd.getText().toString().trim();
        if (TextUtils.isEmpty(pswd)) {
            Toast.makeText(this, "pswd不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        // TODO validate success, do something


    }
}
