package com.example.studentinfo;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public class RegisterActivity extends AppCompatActivity implements View.OnClickListener {

    private Button mBtExit;
    private EditText mETUser;
    private EditText mETEncrypted;
    private EditText mETNewPassword;
    private EditText mETNewPWAffirm;
    private Button mBtnRegister;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_register);
        initView();
    }

    private void initView() {
        mBtExit = (Button) findViewById(R.id.bt_exit);
        mETUser = (EditText) findViewById(R.id.ET_User);
        mETEncrypted = (EditText) findViewById(R.id.ET_encrypted);
        mETNewPassword = (EditText) findViewById(R.id.ET_Password);
        mETNewPWAffirm = (EditText) findViewById(R.id.ET_PWAffirm);
        mBtnRegister = (Button) findViewById(R.id.btn_register);

        mBtExit.setOnClickListener(this);
        mBtnRegister.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.bt_exit:
                finish();


                break;
            case R.id.btn_register:
                recreateNow();

                break;
            default:
                break;
        }
    }

    private void recreateNow() {
        String User = mETUser.getText().toString();
        String encrypted = mETEncrypted.getText().toString();
        String Password = mETNewPassword.getText().toString();
        String PWAffirm = mETNewPWAffirm.getText().toString();

        if (Password.equals(PWAffirm)) {

            SharedPreferences.Editor editor = getSharedPreferences("UserData", MODE_PRIVATE).edit();
            editor.putString("account", User);
            editor.putString("password", Password);
            editor.putString("encrypted", encrypted);
            editor.commit();
            finish();
            Toast.makeText(RegisterActivity.this,"注册成功",Toast.LENGTH_LONG).show();

        }else{
            mETNewPassword.setText("");
            mETNewPWAffirm.setText("");
            Toast.makeText(RegisterActivity.this,"两个密码不一致",Toast.LENGTH_LONG).show();
        }

    }

    private void submit() {
        // validate
        String User = mETUser.getText().toString().trim();
        if (TextUtils.isEmpty(User)) {
            Toast.makeText(this, "User不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String encrypted = mETEncrypted.getText().toString().trim();
        if (TextUtils.isEmpty(encrypted)) {
            Toast.makeText(this, "encrypted不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String NewPassword = mETNewPassword.getText().toString().trim();
        if (TextUtils.isEmpty(NewPassword)) {
            Toast.makeText(this, "NewPassword不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String newPWAffirm = mETNewPWAffirm.getText().toString().trim();
        if (TextUtils.isEmpty(newPWAffirm)) {
            Toast.makeText(this, "newPWAffirm不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        // TODO validate success, do something


    }
}
