package com.example.studentinfo;

import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.example.studentinfo.mysqllist.MySQLiteOpenHelper;
import com.example.studentinfo.student.UserInfo;

import java.util.ArrayList;
import java.util.List;

public class alterActivity extends AppCompatActivity implements View.OnClickListener {

    private Button mBtExit;
    private EditText mEtName;
    private EditText mEtGender;
    private EditText mEtNo;
    private EditText mEtClass;
    private Button mBtnAlter;

    private String iNumber;

    UserInfo stu = new UserInfo();

    private ArrayAdapter<String> mArrayAdapter;
    private List<String> mDataList = new ArrayList<>();

    private MySQLiteOpenHelper mDbHelper;
    private SQLiteDatabase mSQLiteDatabase;
    private final String DB_NAME = "Student.db";


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_alter);
        initView();
        initNum();
        initData();
    }

    private void initNum() {
        String id = getIntent().getStringExtra("num");
        String[] lines = id.split("\n");

        for (String line : lines) {
            //line就是每一行
        }
        setiNumber(lines[0]);
    }

    public void setiNumber(String i) {
        this.iNumber = i;

    }

    private void initData() {
        mDbHelper = new MySQLiteOpenHelper(this, DB_NAME, null, 1);
        mSQLiteDatabase = mDbHelper.getWritableDatabase();
        query();
        mEtName.setText(stu.getsName());
        mEtGender.setText(stu.getiIsboy());
        String my_num= String.valueOf(stu.getiNumber());
        mEtNo.setText(my_num);
        mEtClass.setText(stu.getStrClass());

    }



    private void initView() {
        mBtExit = (Button) findViewById(R.id.bt_exit);
        mEtName = (EditText) findViewById(R.id.et_name);
        mEtGender = (EditText) findViewById(R.id.et_gender);
        mEtNo = (EditText) findViewById(R.id.et_no);
        mEtClass = (EditText) findViewById(R.id.et_class);
        mBtnAlter = (Button) findViewById(R.id.btn_alter);

        mBtExit.setOnClickListener(this);
        mBtnAlter.setOnClickListener(this);
    }

    private void query() {
        String text = iNumber;
//        Toast.makeText(this, text, Toast.LENGTH_LONG).show();
        if (TextUtils.isEmpty(text)) {
            return;

        }
        Cursor cursor = mSQLiteDatabase.query("user", null, "name=? or id=?", new String[]{text, text}, null, null, null);
        if (cursor.moveToFirst()) {
            do {
                String strName = cursor.getString(cursor.getColumnIndex("name"));
                int iNumber = cursor.getInt(cursor.getColumnIndex("id"));
                String strCls = cursor.getString(cursor.getColumnIndex("cls"));
                String misboy = cursor.getString(cursor.getColumnIndex("isboy"));
//                Toast.makeText(this,strCls,Toast.LENGTH_LONG).show();
                stu.setsName(strName);
                stu.setStrClass(strCls);
                stu.setiNumber(iNumber);
                stu.setiIsboy(misboy);
                return;
            } while (cursor.moveToNext());
        }
        Toast.makeText(this, " 查询失败", Toast.LENGTH_SHORT).show();
        return;

    }


    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.bt_exit:

                break;
            case R.id.btn_alter:
                update();

                finish();

                break;
        }
    }

    private void update() {
        submit();
        ContentValues mContentValues = new ContentValues();
//        mContentValues.put("id", stu.getiNumber());
        mContentValues.put("name", stu.getsName());
        mContentValues.put("cls", stu.getStrClass());
        mContentValues.put("isboy", stu.getiIsboy());
        String s =String.valueOf(stu.getiNumber());
        mSQLiteDatabase.update("user", mContentValues,"id=?",new String[]{s});
//        Toast.makeText(this, stu.getsName(), Toast.LENGTH_SHORT).show();
        query();

    }

    private void submit() {
        // validate
        String name = mEtName.getText().toString().trim();
        if (TextUtils.isEmpty(name)) {
            Toast.makeText(this, "姓名不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String gender = mEtGender.getText().toString().trim();
        if (TextUtils.isEmpty(gender)) {
            Toast.makeText(this, "性别不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String cls =mEtClass.getText().toString().trim();
        if (TextUtils.isEmpty(cls)) {
            Toast.makeText(this, "班级不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String id=mEtNo.getText().toString().trim();
        if (isNumeric(id)) {
            Toast.makeText(this, "学号必须为数字", Toast.LENGTH_SHORT).show();
            return;
        }

        if(!isNumeric(id) && !TextUtils.isEmpty(cls) && !TextUtils.isEmpty(gender) && !TextUtils.isEmpty(name)) {

            stu.setiNumber(Integer.valueOf(id));
            stu.setsName(name);
            stu.setiIsboy(gender);
            stu.setStrClass(cls);
            Toast.makeText(this, "成功", Toast.LENGTH_LONG).show();
            return;
        }
        else {
            Toast.makeText(this,"输入的数值有误", Toast.LENGTH_LONG).show();
            return;
        }
        // TODO validate success, do something


    }

    public static boolean isNumeric(String str){
        for (int i = str.length();--i>=0;){
            if (!Character.isDigit(str.charAt(i))){
                return true;
            }
        }
        return false;}
}
