package com.example.studentinfo;

import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.text.TextUtils;
import android.text.method.KeyListener;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.InputMethodManager;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.example.studentinfo.mysqllist.MySQLiteOpenHelper;
import com.example.studentinfo.student.UserInfo;

import java.util.ArrayList;
import java.util.List;

public class detailActivity extends AppCompatActivity implements View.OnClickListener {
    private static final String TABLE_NAME = "user";
    private String iNumber;
    private  String iNumber2;
    private EditText mEtName;
    private EditText mEtGender;
    private EditText mEtNo;
    private EditText mEtClass;
    private Button mBtnAlter;
    private Button mBtnDelete;
    private MySQLiteOpenHelper mDbHelper;
    private SQLiteDatabase mSQLiteDatabase;
    private final String DB_NAME = "Student.db";

    private ArrayAdapter<String> mArrayAdapter;
    private List<String> mDataList = new ArrayList<>();
    private TextView mTvTitle;
    UserInfo stu = new UserInfo();

    KeyListener storedKeylistener;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_detail);
        initView();
        initNum();


        initData();
    }

    private void initNum() {
        String id = getIntent().getStringExtra("num");
        String[] lines = id.split("\n");

        for (String line : lines) {
            //line就是每一行
        }
        setiNumber(lines[0]);
        setiNumber2(lines[1]);
    }

    /**
     * Dispatch onResume() to fragments.  Note that for better inter-operation
     * with older versions of the platform, at the point of this call the
     * fragments attached to the activity are <em>not</em> resumed.
     */
    @Override
    protected void onResume() {
        super.onResume();
//        mArrayAdapter.notifyDataSetChanged();
    }

    private void setiNumber2(String line) {
        this.iNumber2 =line;
    }

    private void initData() {
        mDbHelper = new MySQLiteOpenHelper(this, DB_NAME, null, 1);
        mSQLiteDatabase = mDbHelper.getWritableDatabase();
        query();
        setData();


    }

    private void setData() {
        mEtName.setText(stu.getsName());
        mEtGender.setText(stu.getiIsboy());
        String my_num= String.valueOf(stu.getiNumber());
        mEtNo.setText(my_num);
        mEtClass.setText(stu.getStrClass());
    }

    public void setiNumber(String i) {
        this.iNumber = i;

    }


    private void initView() {
        mEtName = (EditText) findViewById(R.id.et_name2);
        mEtGender = (EditText) findViewById(R.id.et_gender2);
        mEtNo = (EditText) findViewById(R.id.et_no2);
        mEtClass = (EditText) findViewById(R.id.et_class2);
        mBtnAlter = (Button) findViewById(R.id.btn_alter2);
        mBtnDelete = (Button) findViewById(R.id.btn_delete);

        mBtnAlter.setOnClickListener(this);
        mBtnDelete.setOnClickListener(this);

        mTvTitle = (TextView) findViewById(R.id.tv_title);
        mTvTitle.setOnClickListener(this);


        storedKeylistener = mEtNo.getKeyListener();
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_alter2:
                Intent intent =new Intent(detailActivity.this,alterActivity.class);
                intent.putExtra("num",iNumber2);
                startActivityForResult(intent,1);


                break;
            case R.id.btn_delete:
                delete();


                break;
        }
    }

    private void delete() {
        mSQLiteDatabase.delete("user", "name=?", new String[]{stu.getsName()});
        Toast.makeText(this, "  删除成功", Toast.LENGTH_SHORT).show();
        finish();
    }

    /**
     * Dispatch incoming result to the correct fragment.
     *
     * @param requestCode
     * @param resultCode
     * @param data
     */
    @Override
    protected void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        query();
        setData();

    }

//    public void setEditable() {
//        //可编辑时弹出软键盘
//        final InputMethodManager imm = (InputMethodManager) getSystemService(Context.INPUT_METHOD_SERVICE);
//        imm.showSoftInput(mEtNo, 0);
//        //恢复KeyListener
//        mEtNo.setKeyListener(storedKeylistener);
//        //如果需要, 设置文字可选
//        mEtNo.setTextIsSelectable(true);
//        //恢复KeyListener后, 键盘不会自动弹出, 要通过代码弹出
//    }
//
//    public void setReadOnly(){
//        //设置KeyListener为null, 变为不可输入状态
//        mEtNo.setKeyListener(null);
//        //如果需要,设置文字可选
//        mEtNo.setTextIsSelectable(true);
//    }


    private void submit() {
        // validate

        // TODO validate success, do something
    }


    private void query() {
        String text = iNumber2;
//        Toast.makeText(this, text, Toast.LENGTH_LONG).show();
        if (TextUtils.isEmpty(text)) {
            return;

        }
        Cursor cursor = mSQLiteDatabase.query("user", null, "name=? or id=?", new String[]{text, text}, null, null, null);
        if (cursor.moveToFirst()) {
            do {
                String strName = cursor.getString(cursor.getColumnIndex("name"));
                int iNumber = cursor.getInt(cursor.getColumnIndex("id"));
                String strCls = cursor.getString(cursor.getColumnIndex("cls"));
                String misboy = cursor.getString(cursor.getColumnIndex("isboy"));
                Toast.makeText(this,strCls,Toast.LENGTH_LONG).show();
                stu.setsName(strName);
                stu.setStrClass(strCls);
                stu.setiNumber(iNumber);
                stu.setiIsboy(misboy);
                return;
            } while (cursor.moveToNext());
        }
        Toast.makeText(this, " 查询失败", Toast.LENGTH_SHORT).show();
        return;

    }

}
